%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name: xpa
Version: 2.1.11
Release: 1%{?dist}
Summary: The X Public Access messaging system

Group: Applications/Engineering
License: LGPLv2+
URL: http://hea-www.harvard.edu/RD/xpa/
Source0: http://hea-www.harvard.edu/saord/download/xpa/%{name}-%{version}.tar.gz
Patch0: xpa-makefile.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: %{name}-libs = %{version}-%{release}

BuildRequires: tcl-devel libXt-devel
BuildRequires: /bin/awk

Requires: tcl(abi) = 8.5

%description
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
It also provides an easy way for users to communicate with these 
XPA-enabled programs by executing XPA client commands in the shell or by 
utilizing such commands in scripts.
This package contains command-line utilities for managing XPA.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: %{name}-tcl = %{version}-%{release}

%description devel
These are the header files and libraries needed to develop a %{name} 
application.

%package libs
Summary: The XPA messaging system runtime libraries
Group: System Environment/Libraries
Obsoletes: xpa < 2.1.8-1
%description libs
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
This package contains the %{name} run-time library

%package tcl
Summary: The XPA messaging system TCL interface
Group: System Environment/Libraries
Requires: %{name}-libs = %{version}-%{release}
Provides: tcl-xpa = %{version}-%{release}
%description tcl
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
This package contains the %{name} TCL interface

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
# Remove ps files in html docs
rm -rf %{_builddir}/%{name}-%{version}/doc/*.ps

%build
%configure --includedir=%{_includedir}/xpa --datadir=%{_datadir}/xpa \
	--enable-shared --with-tcl=%{_libdir} \
	--with-x --enable-threaded-xpans
make %{?_smp_mflags}
make %{?_smp_mflags} tclxpa

%install
rm -rf %{buildroot}
make INSTALL_ROOT=%{buildroot} install
mkdir -p %{buildroot}%{tcl_sitearch}/tclxpa
cp -a pkgIndex.tcl %{buildroot}%{tcl_sitearch}/tclxpa
mv %{buildroot}%{_libdir}/libtcl* %{buildroot}%{tcl_sitearch}/tclxpa

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files libs
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libxpa.so.*

%files tcl
%defattr(-,root,root,-)
%{tcl_sitearch}/tclxpa

%files devel
%defattr(-,root,root,-)
%doc doc/*.html
%doc doc/*.pdf
%{_libdir}/*.so
#%{_libdir}/tclxpa/*.so
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/mann/*
%exclude %{_libdir}/*.a

%changelog
* Tue Dec 22 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 2.1.11-1
- New upstream source

* Thu Sep 10 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 2.1.10-1
- New upstream source

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 22 2008 Sergio Pascual <sergiopr at fedoraproject.org> 2.1.8-8
- Summary rewritten, description shortened

* Wed Jul 15 2008 Sergio Pascual <sergiopr at fedoraproject.org> 2.1.8-7
- Minor changes in the patch

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.1.8-6
- Autorebuild for GCC 4.3

* Thu Jan 03 2008 Sergio Pascual <sergiopr at fedoraproject.org> 2.1.8-5
- Following PackagingDrafts/Tcl

* Thu Jan 03 2008 Sergio Pascual <sergiopr at fedoraproject.org> 2.1.8-4
- Rebuilt for tcl 8.5

* Sat Dec 08 2007 Sergio Pascual <sergiopr at fedoraproject dot org> 2.1.8-3
- Tcl interface in a different subpackage
- pkgIndex.tcl added

* Wed Nov 14 2007 Sergio Pascual <sergiopr at fedoraproject dot org> 2.1.8-2
- Nested dir for headers fixed

* Tue Nov 13 2007 Sergio Pascual <sergiopr at fedoraproject dot org> 2.1.8-1
- New upstream source

* Sat Oct 13 2007 Sergio Pascual <sergiopr at fedoraproject dot org> 2.1.7-0.3.b2
- Splitted libraries in a new package

* Mon Aug 27 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.7-0.2.b2.1
- Added /bin/awk to BuildReq

* Mon Aug 27 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.7-0.2.b2
- Rebuild for Fedora 8 to get the build-id

* Wed Mar 21 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.7-0.1.b2
- New upstream version 2.1.7b2

* Mon Feb 26 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-9
- Back to tcl 8.4 due to stability problems

* Thu Feb 01 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-8
- Rebuilt for devel (out of sync with tcl).

* Tue Sep 12 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-7
- Rebuilt for FC6 (tag problem).

* Tue Sep 12 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-6
- Rebuilt for FC6 (mass rebuild).

* Thu Jul 18 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-5
- Changed BuildRequires to make common spec for FC-4 and up

* Thu Jun 22 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-4
- Patch0 is modified so Makefile installs in $(libdir) instead of $(prefix)/lib

* Mon Jun 19 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-3
- Added some space between package devel and description devel and
  between install and clean to improve the flow and readability of the file.

* Tue Jun 13 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-2
- Specfile polished, minor fixes.

* Wed Feb 22 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-1
- Initial spec file.
